#! /bin/bash

#~ TEST OGR PGDump/MapInfo driver - GDAL 1.9dev
#~ Error description: 
#  OGR cannot tell if a MapInfo Polygon should be rendered as a Multipolygon with one element

# CREATE_TABLE=OFF, no schema specified: results in insert instructions (OK)
ogr2ogr --config PG_USE_COPY NO -append -a_srs EPSG:3003 -progress -f 'PGDump' out/MultiPolygonTest.sql data/MultiPolygonTest.TAB \
	-lco LAUNDER=NO -lco CREATE_TABLE=OFF -lco DIM=2 -lco GEOMETRY_NAME=geom -lco WRITE_EWKT_GEOM=ON


# Workaround
sed -r 's/;(POLYGON|LINESTRING)[ ]*\(([\(\)0-9,\. ]+)\)/;MULTI\1 ((\2))/' out/MultiPolygonTest.sql >> out/MultiPolygonTest_multi.sql
